1.0.0 API documentation: GLM_GTX_extended_min_max

| 1.0.0 API documentation

Functions
GLM_GTX_extended_min_max
Experimental extensions

## Functions
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | max (C< T > const &x, C< T > const &y, C< T > const &z)
| Return the maximum component-wise values of 3 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | max (C< T > const &x, C< T > const &y, C< T > const &z, C< T > const &w)
| Return the maximum component-wise values of 4 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | max (C< T > const &x, typename C< T >::T const &y, typename C< T >::T const &z)
| Return the maximum component-wise values of 3 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | max (C< T > const &x, typename C< T >::T const &y, typename C< T >::T const &z, typename C< T >::T const &w)
| Return the maximum component-wise values of 4 inputs. More...
template<typename T >
GLM_FUNC_DECL T | max (T const &x, T const &y, T const &z)
| Return the maximum component-wise values of 3 inputs. More...
template<typename T >
GLM_FUNC_DECL T | max (T const &x, T const &y, T const &z, T const &w)
| Return the maximum component-wise values of 4 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | min (C< T > const &x, C< T > const &y, C< T > const &z)
| Return the minimum component-wise values of 3 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | min (C< T > const &x, C< T > const &y, C< T > const &z, C< T > const &w)
| Return the minimum component-wise values of 4 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | min (C< T > const &x, typename C< T >::T const &y, typename C< T >::T const &z)
| Return the minimum component-wise values of 3 inputs. More...
template<typename T , template< typename > class C>
GLM_FUNC_DECL C< T > | min (C< T > const &x, typename C< T >::T const &y, typename C< T >::T const &z, typename C< T >::T const &w)
| Return the minimum component-wise values of 4 inputs. More...
template<typename T >
GLM_FUNC_DECL T | min (T const &x, T const &y, T const &z)
| Return the minimum component-wise values of 3 inputs. More...
template<typename T >
GLM_FUNC_DECL T | min (T const &x, T const &y, T const &z, T const &w)
| Return the minimum component-wise values of 4 inputs. More...

## Detailed Description

Include <glm/gtx/extended_min_max.hpp> to use the features of this extension.

Min and max functions for 3 to 4 parameters.

## Function Documentation

## ◆ max() [1/6]

GLM_FUNC_DECL C<T> glm::max | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z
| ) |  |

Return the maximum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

## ◆ max() [2/6]

GLM_FUNC_DECL C<T> glm::max | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z,
|  | C< T > const & | w
| ) |  |

Return the maximum component-wise values of 4 inputs.

See also
  gtx_extented_min_max

## ◆ max() [3/6]

GLM_FUNC_DECL C<T> glm::max | ( | C< T > const & | x,
|  | typename C< T >::T const & | y,
|  | typename C< T >::T const & | z
| ) |  |

Return the maximum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

## ◆ max() [4/6]

GLM_FUNC_DECL C<T> glm::max | ( | C< T > const & | x,
|  | typename C< T >::T const & | y,
|  | typename C< T >::T const & | z,
|  | typename C< T >::T const & | w
| ) |  |

Return the maximum component-wise values of 4 inputs.

See also
  gtx_extented_min_max

## ◆ max() [5/6]

GLM_FUNC_DECL T glm::max | ( | T const & | x,
|  | T const & | y,
|  | T const & | z
| ) |  |

Return the maximum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

## ◆ max() [6/6]

GLM_FUNC_DECL T glm::max | ( | T const & | x,
|  | T const & | y,
|  | T const & | z,
|  | T const & | w
| ) |  |

Return the maximum component-wise values of 4 inputs.

See also
  gtx_extented_min_max

## ◆ min() [1/6]

GLM_FUNC_DECL C<T> glm::min | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z
| ) |  |

Return the minimum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

## ◆ min() [2/6]

GLM_FUNC_DECL C<T> glm::min | ( | C< T > const & | x,
|  | C< T > const & | y,
|  | C< T > const & | z,
|  | C< T > const & | w
| ) |  |

Return the minimum component-wise values of 4 inputs.

See also
  gtx_extented_min_max

## ◆ min() [3/6]

GLM_FUNC_DECL C<T> glm::min | ( | C< T > const & | x,
|  | typename C< T >::T const & | y,
|  | typename C< T >::T const & | z
| ) |  |

Return the minimum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

## ◆ min() [4/6]

GLM_FUNC_DECL C<T> glm::min | ( | C< T > const & | x,
|  | typename C< T >::T const & | y,
|  | typename C< T >::T const & | z,
|  | typename C< T >::T const & | w
| ) |  |

Return the minimum component-wise values of 4 inputs.

See also
  gtx_extented_min_max

## ◆ min() [5/6]

GLM_FUNC_DECL T glm::min | ( | T const & | x,
|  | T const & | y,
|  | T const & | z
| ) |  |

Return the minimum component-wise values of 3 inputs.

See also
  gtx_extented_min_max

## ◆ min() [6/6]

GLM_FUNC_DECL T glm::min | ( | T const & | x,
|  | T const & | y,
|  | T const & | z,
|  | T const & | w
| ) |  |

Return the minimum component-wise values of 4 inputs.

See also
  gtx_extented_min_max